var params = require('./params.js');

var api_web_url = params.api_web_url;
var up_img_url = params.up_img_url;
const gps_url = params.gps_url;
var map_bms_url = params.map_url;
var config = {
	APP_VERSION: '4.1.2024121301',
	APP_VERSION_DESC: '优化小程序',
	QQ_MAP_KEY: 'Q7DBZ-BQH65-MEMIO-Q7LEF-S43Z3-G6B34',
	// 腾讯地图api key
	QINIU_SITE: 'https://qiniu.bms16.com/',
	// 拉取图片地址
	QINIU_UPLOAD_SITE: 'https://up-z2.qiniup.com/',
	// 七牛上传地址
	API_QINIU_UP_IMG_TOKEN: up_img_url + '?r=qiniu/token-v2',
	// 获取上传token
	API_GET_OPEN_ID: api_web_url + '?r=user/get-open-id',


	API_OPENID_LOGIN: api_web_url + '?r=user/slogin', //opendid一键登录
	API_USER_INFO: api_web_url + '?r=user/info',
	API_USER_VERIFY_CODE: api_web_url + '?r=user/verify-code',
	API_USER_LOGIN_V2: api_web_url + '?r=user/login-v2',
	API_USER_LOGIN_ALI: api_web_url + '?r=user/login-ali',
	API_OPENID_GET_PHONE: api_web_url + '?r=index/get-phone',
	API_CONTRACT_CONTENT: api_web_url + '?r=contract/content', //合同
	API_CONTRACT_TITLE: api_web_url + '?r=contract/titles',
	API_REPORT_USER_INFO: api_web_url + '?r=user/report-user-info',
	// params.map_url
	API_MAP_REGEO: map_bms_url + '/geocode/regeo', //地址逆	解析
	API_USER_FACE_TOKEN: api_web_url + '?r=user/face-token', // 人脸识别token获取
	API_USER_FACE_STATUS: api_web_url + '?r=user/face-status', // 人脸识别状态
	API_MODIFY_PHONE: api_web_url + '?r=user/modify-phone', // 修改用户手机号

	API_DAYHIRE_CAR_CAR_LIST: api_web_url + '?r=dayhire/car/car-list', //我的车辆列表

	API_DAYHIRE_USER_MOST_NEAR_SHOP: api_web_url + '?r=dayhire/user/most-near-shop', // 最近门店信息
	API_DAYHIRE_USER_CITY_LIST: api_web_url + '?r=dayhire/user/city-list', // 取车城市列表

	// API_SHOP_ADMIN_AREA_TREE: api_web_url + '?r=shop/admin-area-tree', // 省市联动
	API_INDEX_GET_ALL_AREA_TREE: api_web_url + '?r=index/get-all-area-tree', //省市联动
	API_DAYHIRE_USER_INVESTMENT: api_web_url + '?r=dayhire/user/investment', // 投资规模
	API_DAYHIRE_USER_COOPERATE: api_web_url + '?r=dayhire/user/cooperate', // 申请加盟


	API_DAYHIRE_CAR_MODEL_INFO: api_web_url + '?r=dayhire/car/model-info', // 车型信息
	API_DAYHIRE_HIRE_PREDETERMINE: api_web_url + '?r=dayhire/hire/predetermine', // 预约支付
	API_DAYHIRE_HIRE_HIRE: api_web_url + '?r=dayhire/hire/hire', // 扫码下单租车
	API_DAYHIRE_HIRE_ORDER_LIST: api_web_url + '?r=dayhire/hire/order-list', // 订单列表
	API_DAYHIRE_HIRE_ORDER_INFO: api_web_url + '?r=dayhire/hire/order-info', //订单详情
	API_DAYHIRE_HIRE_CANCEL_ORDER: api_web_url + '?r=flk/order/cancel-pay', //取消订单
	API_DAYHIRE_HIRE_CONTINUE_PAY: api_web_url + '?r=dayhire/hire/continue-pay', //重新调起支付
	API_DAYHIRE_USER_SHOP_MODEL_LIST: api_web_url + '?r=dayhire/user/shop-model-list', //门店列表
	API_DAYHIRE_USER_SHOP_INFO: api_web_url + '?r=dayhire/user/shop-info', //门店详情
	API_DAYHIRE_REPORT_REPORT_TYPE: api_web_url + '?r=dayhire/report/report-type', //问题反馈列表
	API_DAYHIRE_REPORT_REPORT: api_web_url + '?r=flk/index/report', //提交问题反馈
	API_DAYHIRE_USER_NEAR_RETURN_SHOP: api_web_url + '?r=dayhire/user/return-shop', //附近可还车门店列表
	API_DAYHIRE_CAR_TRACK_INFO: api_web_url + '?r=dayhire/car/track-info', //轨迹信息
	API_DAYHIRE_CAR_LOCATION: api_web_url + '?r=dayhire/car/location', //车辆当前位置
	API_DAYHIRE_CAR_CAR_INFO: api_web_url + '?r=dayhire/car/car-info', // 车辆详情接口
	API_DAYHIRE_CAR_CAR_STATUS: api_web_url + '?r=dayhire/car/car-status', // 车辆状态（精简数据）

	API_DAYHIRE_HIRE_RETURN: api_web_url + '?r=dayhire/hire/return', //申请还车
	API_ALI_FREEZE: api_web_url + '?r=user/ali-freeze', //去开通免押
	API_ALI_FREEZE_STATUS: api_web_url + '?r=user/ali-freeze-status', //查询是否开通免押状态
	API_DAYHIRE_HIRE_ACTIVE: api_web_url + '?r=dayhire/hire/active', //激活车辆 
	API_DAYHIRE_DRAG_CAR_INFO: api_web_url + '?r=dayhire/work-order/drag-car-setting-info', //拖车信息
	API_DAYHIRE_DRAG_CAR_SERVICE: api_web_url + '?r=dayhire/work-order/drag-car', //申请拖车服务
	API_DAYHIRE_WORK_ORDER_CANCEL_PAY: api_web_url + '?r=dayhire/work-order/cancel-pay', //拖车取消支付
	API_DAYHIRE_WORK_ORDER_STATUS: api_web_url + '?r=dayhire/work-order/order-status', //拖车支付状态查询
	API_DAYHIRE_HIRE_RENEW: api_web_url + '?r=dayhire/hire/renew', //续租
	API_DAYHIRE_CAR_LOCK: api_web_url + '?r=dayhire/car/lock', //锁车
	API_INDEX_APP_CONFIG: api_web_url + '?r=index/app-config',

	API_CABINET_NEAR_LIST: api_web_url + '?r=dayhire/cabinet/near-list', //附近机柜列表
	API_RECHARGE_AMOUNT_LIST: api_web_url + '?r=dayhire/user/recharge-amount-list', //充值列表
	API_CABINET_ORDER_LIST: api_web_url + '?r=dayhire/cabinet/order-list', //换电记录
	API_CABINET_EXCHANGE_INFO: api_web_url + '?r=dayhire/cabinet/battery-exchange-info', //换电次数



	API_DAYHIRE_CABINRT_CABINRT_INFO: api_web_url + '?r=dayhire/cabinet/cabinet-info', //机柜详情
	API_DAYHIRE_CABINRT_BATTERY_EXCHANGE_INFO: api_web_url +
		'?r=dayhire/cabinet/battery-exchange-info', //剩余换电次数/换电价
	API_DAYHIRE_CABINRT_CHANGE_BATTERY: api_web_url + '?r=dayhire/cabinet/change-battery', //机柜换电
	API_DAY_HIRE_CABINRT_CHANGE_BATTERY_STATUS: api_web_url + '?r=dayhire/cabinet/change-battery-status', //查询机柜换电状态
	API_DAY_HIRE_CABINRT_CANCEL_CABINRT_CHANGE_BATTERY: api_web_url +
		'?r=dayhire/cabinet/cancel-cabinet-change-battery', //取消机柜换电支付
	API_DAYHIRE_CABINRT_BLUETOOTH_EXCHANGE: api_web_url +
		'?r=dayhire/cabinet/bluetooth-exchange', //机柜蓝牙换电

	//上报机柜日志
	API_CABINET_BLUETOOTH_LOG: api_web_url + '?r=cabinet/bl-up',
	API_CABINET_BLUETOOTH_INFO: api_web_url + '?r=cabinet/bluetooth-report',
	API_CABINET_BLUETOOTH_HIRE: api_web_url + '?r=cabinet/bluetooth-hire-success',
	API_CABINET_BLUETOOTH_EXCHANGE: api_web_url + '?r=cabinet/bluetooth-exchange',
	API_CABINET_BLUETOOTH_RETURN: api_web_url + '?r=cabinet/bluetooth-return',
	API_CABINET_BLUETOOTH_EXCHANGE_SUCCESS: api_web_url + '?r=dayhire/cabinet/bluetooth-exchange-success',
	API_CABINET_BLUETOOTH_RETURN_SUCCESS: api_web_url + '?r=cabinet/bluetooth-return-success',

	//发送指令
	API_CAR_SEND_COMMAND: api_web_url + '?r=dayhire/car/send-car-command',



	// 登录
	API_LOGIN: api_web_url + '?r=flk/account/login',

	// 注册
	API_REGISTER_EMAIL: api_web_url + '?r=flk/account/register-email',

	// 找回密码
	API_RESET_PASSWORD: api_web_url + '?r=flk/account/reset-password',

	// 消息列表
	API_MESSAGE_LIST: api_web_url + '?r=flk/message/list',

	// 消息详情
	API_MESSAGE_DTL: api_web_url + '?r=flk/message/info',

	// 设备消息
	API_DEVICE_MSG: api_web_url + '?r=flk/message/device-list',

	//首页-推荐车型列表
	API_RECOMMEND_CAR_MODEL_LIST: api_web_url + '?r=flk/index/recommend-car-model-list',
	//首页-推荐车型详情
	API_FLK_INDEX_CAR_MODEL_DETAIL: api_web_url + '?r=flk/index/car-model-detail',
	//附近门店列表
	API_NEAR_SHOP_LIST: api_web_url + '?r=flk/net-shop/near-shop-list',
	//附近机柜列表
	API_NEAR_CABINET_LIST: api_web_url + '?r=flk/net-shop/near-box-list',
	//电池类型列表
	API_NEAR_BATTERY_TYPE_LIST: api_web_url + '?r=flk/net-shop/battery-type-list',
	//门店详情
	API_NEAR_SHOP_INFO: api_web_url + '?r=flk/net-shop/shop-info',
	//机柜详情
	API_NEAR_SHOP_CABINET_INFO: api_web_url + '?r=flk/net-shop/cabinet-info',
	//车型租赁下单
	API_FLK_ORDER_HIRE_MODEL: api_web_url + '?r=flk/order/hire-model',
	//车型取消下单
	API_FLK_ORDER_CANCEL_HIRE: api_web_url + '?r=flk/order/cancel-hire',
	//续租
	API_FLK_ORDER_RENEW: api_web_url + '?r=flk/order/renew',
	//用户车辆列表
	API_FLK_CAR_DEVICE_LIST: api_web_url + '?r=flk/car/device-list',
	//车辆详情
	API_FLK_CAR_DETAIL: api_web_url + '?r=flk/car/car-detail',
	//激活车辆(绑定设备)
	API_FLK_CAR_ASSIGNMENT: api_web_url + '?r=flk/car/assignment',
	//解绑车辆
	API_FLK_CAR_UNBIND_CAR: api_web_url + '?r=flk/car/unbind-car',
	//车辆开关
	API_FLK_CAR_SWITCH: api_web_url + '?r=flk/car/switch',
	//订单列表
	API_FLK_ORDER_LIST: api_web_url + '?r=flk/order/list',
	//套餐列表
	API_FLK_EXCHANGE_PACKAGE_LIST: api_web_url + '?r=flk/exchange-package/package-list',
	//购买套餐
	API_FLK_EXCHANGE_PACKAGE_PAY: api_web_url + '?r=flk/exchange-package/pay',
	//购买套餐
	API_FLK_EXCHANGE_PACKAGE_ORDER_LIST: api_web_url + '?r=flk/exchange-package/order-list',
	//机柜换电
	API_FLK_CABINET_CHANGE_BATTERY: api_web_url + '?r=flk/cabinet/change-battery',
	//订单详情
	API_FLK_ORDER_INFO: api_web_url + '?r=flk/order/info',
	//申请还车
	API_FLK_CAR_RETURN_CAR: api_web_url + '?r=flk/car/return-car',
	//添加用车人
	API_FLK_ADD_SHARE_USER: api_web_url + '?r=flk/car/add-share-user',
	//删除用车人
	API_FLK_REMOVE_SHARE_USER: api_web_url + '?r=flk/car/remove-share-user',
	//中控
	API_FLK_CAR_REMOTE_CONTROL: api_web_url + '?r=flk/car/remote-control',
	//
	//消息换成已读
	API_MESSAGE_READ_MESSAGE: api_web_url + '?r=flk/message/read-message',
};
module.exports = config;