import App from './App';

// Api函数polyfill（目前为实验版本，如不需要，可删除！）';
import Polyfill from './polyfill/polyfill';
// import customTabBar from './custom-tab-bar/index.vue';
Polyfill.init();

// 全局mixins，用于实现setData等功能，请勿删除！';
import Mixin from './polyfill/mixins';
import mixins from './mixin/index.js';
import i18n from './locale/index'
import uView from "uview-ui";
Vue.use(uView)

import gyq_utils from '@/utils/gyq_utils'
Vue.use(gyq_utils)

import Navigation from '@/components/navBar/navigation.vue'
Vue.component('Navigation', Navigation);

uni.addInterceptor('request', {
	fail: (err) => {
		uni.hideLoading()
		return false; // 阻止默认弹窗
	}
});
import Vue from 'vue';

Vue.mixin(Mixin);
Vue.mixin(mixins);
Vue.config.productionTip = false;
App.mpType = 'app';
const app = new Vue({
	i18n,
	...App
});
app.$mount();

// // #ifdef VUE3
// import { createSSRApp } from 'vue';
// import {
// 	createI18n
// } from 'vue-i18n'
// const i18n = createI18n(i18nConfig)
// export function createApp() {
//     const app = createSSRApp(App);
// 	app.use(i18n)
//     app.mixin(Mixin);
//     return {
//         app
//     };
// }
// // #endif